import turtle

# importing functions from other files
# You can either specify the functions or use the wildcard * for all
from myfolder.drawCircle import *

# developing a quilt function
def quilt(t,totalrows,totalcols,border,width,sizePat):
    startx = -width * .5 + sizePat/2 + border/2
    for i in range(totalcols):
        xpos = startx + i * sizePat
        t.setpos(xpos,0)
        t.fillcolor("red")
        t.begin_fill()
        drawCircle(t,sizePat/2)
        t.end_fill()
    

def main():

    # screen setup
    sizePat = 100
    border = 100
    numrows = 5
    numcols = 7
    width = numcols * sizePat + 100
    height = numrows * sizePat + 100
    turtle.setup(width,height)
    t = turtle
    t.speed(0)

    # call quilt
    quilt(t,numrows,numcols,border,width,sizePat)

    #exit window gracefully
    t.exitonclick()
    
main()

